COMPOSE_PROJECT_NAME=proxy

##### SYSTEM
PUID=1000
PGID=1000
TZ=Europe/HelsinkI

#USERDIR=/home/gurulandia
DOCKERDIR=/gurulandia/data
SECRETSDIR=/gurulandia/docker-shared/secrets

##### DOMAIN
DOMAINNAME0=gurulandia.eu
DOMAINNAME1=home.gurulandia.eu
DOMAINNAME2=gurulandia.fi
DOMAINNAME3=home.gurulandia.fi

##### SUBNETS

PROXY_SUBNET=192.168.91.0/24
SOCKET_PROXY_SUBNET=192.168.92.0/24

##### GATEWAYS

PROXY_GATEWAY=192.168.91.1
SOCKET_PROXY_GATEWAY=192.168.92.1

##### Traefik Container
TRAEFIK_CONTAINER_NAME=traefik
TRAEFIK_IMAGE=traefik
TRAEFIK_VERSION=v3.0 #latest
TRAEFIK_RESTART_POLICY=unless-stopped
TRAEFIK_IP0=192.168.91.254
TRAEFIK_IP1=192.168.92.252

##### socket-proxy Container
SOCKET_PROXY_CONTAINER_NAME=socket-proxy
SOCKET_PROXY_IMAGE=ghcr.io/tecnativa/docker-socket-proxy
SOCKET_PROXY_VERSION=latest
SOCKET_PROXY_RESTART_POLICY=always
SOCKET_PROXY_IP=192.168.92.254

DOCKER_ENDPOINT=tcp://${SOCKET_PROXY_CONTAINER_NAME}:2375

BASICAUTHUSER=gurulandia:$$apr1$$kBqxEDFb$$aOgGWvLwFUDhSymDy430m.
# create basic auth with: echo $(htpasswd -nb "<USER>" "<PASSWORD>") | sed -e s/\\$/\\$\\$/g

##### trustedIPs
CLOUDFLARE_IPS=173.245.48.0/20,103.21.244.0/22,103.22.200.0/22,103.31.4.0/22,141.101.64.0/18,108.162.192.0/18,190.93.240.0/20,188.114.96.0/20,197.234.240.0/22,198.41.128.0/17,162.158.0.0/15,172.64.0.0/13,131.0.72.0/22,104.16.0.0/13,104.24.0.0/14
LOCAL_IPS=127.0.0.1/32,10.0.0.0/8,192.168.0.0/16,172.16.0.0/12

##### Certificate
CF_API_EMAIL=gurulandia@outlook.com
CERTRESOLVER=dns-cloudflare
DNS_PROVIDER=cloudflare
RESOLVER0=1.1.1.1:53
RESOLVER1=1.0.0.1:53

##### Crowdsec Container
CROWDSEC_CONTAINER_NAME=crowdsec
CROWDSEC_IMAGE=crowdsecurity/crowdsec
CROWDSEC_VERSION=latest
CROWDSEC_RESTART_POLICY=unless-stopped
#CROWDSEC_COLLECTIONS="crowdsecurity/linux crowdsecurity/traefik"
CROWDSEC_COLLECTIONS="crowdsecurity/traefik crowdsecurity/http-cve crowdsecurity/whitelist-good-actors crowdsecurity/iptables crowdsecurity/linux fulljackz/proxmox"
CROWDSEC_IP=192.168.92.253

##### bouncer-traefik Container
BT_CONTAINER_NAME=bouncer-traefik
BT_IMAGE=docker.io/fbonalair/traefik-crowdsec-bouncer
BT_VERSION=latest
BT_RESTART_POLICY=unless-stopped
BT_IP=192.168.92.251

##### IP ADDRESSES

#HEIMDALL_IP=192.168.91.2
#VSCODE_IP=192.168.91.3
#YOURLS_IP=192.168.91.4
#LIBRESPEED_IP=192.168.91.5
#ADMINER_IP=192.168.91.6
#DOZZLE_IP0=192.168.91.7
#GLANCES_IP0=192.168.91.8
#CLOUDDNS_IP=192.168.91.9
#CERTDUMPER_IP=192.168.91.10

#AUTHELIA_IP=192.168.91.252
#PORTAINER_IP0=192.168.91.251


#DOZZLE_IP1=192.168.92.7
#GLANCES_IP1=192.168.92.8
#PORTAINER_IP1=192.168.92.253

#SERVER_IP=
#PIHOLE_IP=
#LOCAL_NETWORK=

##### PORTS

#VSCODE_PORT=8443
#LIBRESPEED_PORT=30001

##### DUCKDNS

#DUCKDNSDOMAIN0=gurulandia.duckdns.org
#DUCKDNS_TOKEN=99636f9f-46d7-4d80-b171-6ae486d1bc7b

##### DATABASE

# DB_HOST=192.168.99.60
# DB_PORT=3306
# MYSQL_ROOT_PASSWORD=

# VSCODE_PASSWORD=glvscode

# GUAC_MYSQL_USER=guacamole
# GUAC_MYSQL_PASSWORD=guacamole
